<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>I-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="I-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#id">id</a></span> - Variable in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Unique identificator for attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionStatus.html#id">id</a></span> - Variable in class attractions.<a href="../attractions/AttractionStatus.html" title="class in attractions">AttractionStatus</a></dt>
<dd>
<div class="block">Attraction identifier</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#id">id</a></span> - Variable in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Unique id for ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#isAllowsAdult()">isAllowsAdult()</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Indicates if the attraction allows adults</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#isAllowsChildren()">isAllowsChildren()</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Indicates if the attraction allows children</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#isAllowsVipPass()">isAllowsVipPass()</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Indicates if the attraction allows vip pass</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#isChildren()">isChildren()</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Indicates if person is a children</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#isChildren()">isChildren()</a></span> - Method in enum ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>
<div class="block">It indicates whether the group is infantile</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#isConfirmed()">isConfirmed()</a></span> - Method in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">It allows to know if the ticket is confirmed and published.</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Holiday.html#isHoliday(java.time.LocalDate)">isHoliday(LocalDate)</a></span> - Method in class tools.<a href="../tools/Holiday.html" title="class in tools">Holiday</a></dt>
<dd>
<div class="block">Indicates whether the specified date is a holiday</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#isValidDate(java.lang.String)">isValidDate(String)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Check if a string date its a correct date</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Person.html#isVipSupplement()">isVipSupplement()</a></span> - Method in class ticket.<a href="../ticket/Person.html" title="class in ticket">Person</a></dt>
<dd>
<div class="block">Indicate if the group has a preferred pass or vip pass</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/Utilities.html#isWeekend(java.time.LocalDate)">isWeekend(LocalDate)</a></span> - Static method in class tools.<a href="../tools/Utilities.html" title="class in tools">Utilities</a></dt>
<dd>
<div class="block">Indicates if the specified date is a weekend</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
